Đến nội dung


Hình ảnh
- - - - -

Các Pro Giúp em viết lisp này nhé


  • Please log in to reply
5 replies to this topic

#1 doanvantien86

doanvantien86

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 02 April 2011 - 10:43 AM

My link. Ở hình một e có 2 đường. 1 là đường tâm 2 là đường khuất. bây giờ em muốn đổi ĐT thành ĐK thì dùng lệnh match hoặc vào layer đổi làm như thế hơi lâu. ở hình 2 e chỉ có mỗi ĐT thôi bây giờ em muốn đổi thành đường khuất thì phải tìm một đường khuất trên bản vẽ rồi dùng lệnh match, hoặc vào layer( thế này càng lâu hơn) và em cũng muốn đổi một nét bất kỳ nào trong hình vẽ thì e làm cách đó lâu quá. em có ý tưởng thế này. Các bác viết 1 đoạn lisp đặt nét khuất là 1 chẳng hạn khi. Đường tâm là 2 chẳng hạn và nhiều đường tương tự nữa. khi các bác muốn đổi nét nào đó thành nét khuất thì chỉ việc ấn 1 sau đó enter nó thành nét khuất luôn. như thế nhanh hơn nhiều không. Các bác giúp em nhé. với các nét khác cũng tương tự như thế.
  • 0

#2 doanvantien86

doanvantien86

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 02 April 2011 - 10:52 AM

Em sorry viết chưa cụ thể. khi các bác muốn đổi một nét nào thành nét khuất chẳng hạn, thì các bác pick vào nét đó và ấn 1 enter thì nó thành nét khuất luôn, ok không
  • 0

#3 Detailing

Detailing

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 667 Bài viết
Điểm đánh giá: 278 (khá)

Đã gửi 02 April 2011 - 11:06 AM

Bạn nên tập quản lý đường nét, màu sắc, kích thước nét in theo LAYER dẽ tiện hơn nhiều.
  • 0

Ideas don't matter, execution does!

1908412_308002392716743_8165279281236341


#4 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 02 April 2011 - 03:10 PM

Bó tay với bạn, lập chủ đề bên kia rồi chuyển yêu cầu sang bên này....Thật không hay không hay chút nào :)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#5 nguyentuyen6

nguyentuyen6

    biết lệnh chamfer

  • Advance Member
  • PipPipPipPip
  • 213 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 02 April 2011 - 04:10 PM

Bạn thử cái này xem:
Cái này là dùng phím 1 để chuyển đối tượng được chọn về layer: THAY
Bạn muốn thêm các nét khác thì làm tương tự

(defun c:1 (/ lyr i)
(princ "\nChon doi tuong muon chuyen ve net: Thay")(princ)
(Taolayer)
(setq ss (ssget)
i 0)
(while (< i (sslength ss))
  (setq lyr (ssname ss i))
  (entmod (subst (cons 8 "thay") (assoc 8 (entget lyr)) (entget lyr)))
  (setq i (1+ i))
);_ end while
);_ end defun
;;;;;;;;;;;;;;;;;;
(defun Taolayer()
(setq tbl (tblsearch "layer" "thay"))
(if (= tbl nil) (command "-layer" "n" "thay" "c" "2" "thay" ""))
)

  • 0

Lisp In bản vẽ hàng loạt:
http://www.cadviet.c...ndpost&p=139860


#6 everyman134

everyman134

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 April 2011 - 09:25 AM

mình cần tính thể tích trong 3dsmax có lệnh nào không? mình chuyển sang autocad nhưng nó không phải là hình khối có cách nào chuyển thành khối để tính thể tích không?
  • 0